=== modified file 'NEWS'
--- NEWS	2010-11-10 08:28:31 +0000
+++ NEWS	2010-11-25 15:56:20 +0000
@@ -8,14 +8,14 @@
 bzr 2.2.2
 #########
 
-:2.2.2: NOT RELEASED YET
+:2.2.2: 2010-11-25
+
+This is a bugfix release. None of these bugfixes are critical, but upgrading
+is recommended for all users on earlier 2.2 releases.
 
 Compatibility Breaks
 ********************
 
-New Features
-************
-
 Bug Fixes
 *********
 
@@ -28,7 +28,7 @@
   is a conflict).  (Andrew Bennetts, #603395)
   
 * Correctly set the Content-Type header when http POSTing to comply
-  with stricter web frameworks. (Vincent Ladeuil, #655100)
+  with stricter web frameworks. (Vincent Ladeuil, #665100)
 
 * ``NotBranchError`` no longer allows errors from calling
   ``bzrdir.open_repository()`` to propagate.  This is unhelpful at best,
@@ -52,18 +52,6 @@
 * Close leaked socket to SSH subprocesses, which caused dput sftp uploads
   to hang.  (Max Bowsher, #659590)
 
-Improvements
-************
-
-Documentation
-*************
-
-API Changes
-***********
-
-Internals
-*********
-
 Testing
 *******
 

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2010-10-08 10:09:37 +0000
+++ bzrlib/__init__.py	2010-11-25 15:56:20 +0000
@@ -52,7 +52,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 2, 2, 'dev', 0)
+version_info = (2, 2, 2, 'final', 0)
 
 # API compatibility version
 api_minimum_version = (2, 2, 0)

=== modified file 'doc/en/whats-new/whats-new-in-2.2.txt'
--- doc/en/whats-new/whats-new-in-2.2.txt	2010-11-04 13:46:02 +0000
+++ doc/en/whats-new/whats-new-in-2.2.txt	2010-11-25 15:56:20 +0000
@@ -27,6 +27,11 @@
 
 See the :doc:`../release-notes/index` for details.
 
+Bazaar 2.2.2 focused on fixes to improve our Ubuntu release workflow (which
+should also help all other distributions).
+
+See the :doc:`../release-notes/index` for details.
+
 Bazaar 2.2 is fully compatible both locally and on the network with 2.0
 and 2.1, and can read and write repositories generated by all previous
 versions.

